Bug 188473 - TB37c79dbe grabber.py:1102:_do_grab:OSError: [Errno 2] No such file or directory: '//var/cache/yum/development/packages/eclipse-platform-3.1.2-1jpp_13fc.i386.rpm'
TB37c79dbe grabber.py:1102:_do_grab:OSError: [Errno 2] No such file or direct...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 10:28 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 09:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-04-10 10:28:48 EDT
Description of problem:
After yum downloaded the eclipse-platform-3.1.2-1jpp_13fc.i386.rpm, an exception
occurred

Version-Release number of selected component (if applicable):
0.99.16

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Component: yumex
Version: 0.99.16
Summary: TB37c79dbe grabber.py:1102:_do_grab:OSError: [Errno 2] No such file or
directory:
'//var/cache/yum/development/packages/eclipse-platform-3.1.2-1jpp_13fc.i386.rpm'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 127, in on_queueProcess_clicked
    if self.action.process_package_queue( pkgs, doAll):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1015, in
process_package_queue
    if not self.process_packages():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1210, in
process_packages
    if not self.yumexbase.process_transaction():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 608, in
process_transaction
    self.download_packages()
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 643, in
download_packages
    problems = self.downloadPkgs( downloadpkgs )
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 663, in downloadPkgs
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 626, in get
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 411, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 397, in
_mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 784, in
urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 702, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 772, in
retryfunc
    fo._do_grab()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1102, in
_do_grab
    os.utime(self.filename, (modified_stamp, modified_stamp))
OSError: [Errno 2] No such file or directory:
'//var/cache/yum/development/packages/eclipse-platform-3.1.2-1jpp_13fc.i386.rpm'

Local variables in innermost frame:
self: <urlgrabber.grabber.URLGrabberFileObject instance at 0xaf85d7ec>
modified_stamp: 1141787338.0
new_fo: <closed file
'//var/cache/yum/development/packages/eclipse-platform-3.1.2-1jpp_13fc.i386.rpm',
mode 'wb' at 0xafb36f98>
bs: 8192
modified_tuple: (2006, 3, 8, 3, 8, 58, 0, 1, 0, 0)
block: 
size: 54401298


Expected results:
Continues with the installation of eclipse-platform-3.1.2-1jpp_13fc.i386.rpm and
prompt me with the dialog "Complete ..."

Additional info:
Comment 1 Tim Lauridsen 2006-04-18 09:45:23 EDT
I is some kind of error in urlgrabberer used by yum to download packages, i can
fix that but i have made a fix in the next release of yumex, so yumex don't
crash but displays an error dialog.

Note You need to log in before you can comment on or make changes to this bug.